h51772
s 00001/00001/00091
d D 1.12 83/03/02 17:11:58 mjb 13 12
c 
e
s 00000/00000/00092
d D 1.11 83/03/02 00:12:29 mjb 12 11
c 
e
s 00016/00010/00076
d D 1.10 83/03/01 15:03:02 mjb 11 10
c 
e
s 00003/00003/00083
d D 1.9 83/03/01 12:49:40 mjb 10 9
c 
e
s 00046/00026/00040
d D 1.8 83/02/25 19:21:18 mjb 9 8
c made changes for new axes edit menus
e
s 00002/00002/00064
d D 1.7 83/02/16 15:41:43 mjb 8 7
c fixed problem with axes generation independent vs dependent
e
s 00000/00000/00066
d D 1.6 83/02/14 22:57:39 mjb 7 6
c bug fixing
e
s 00001/00001/00065
d D 1.5 83/02/14 17:17:42 mjb 6 5
c 
e
s 00010/00006/00056
d D 1.4 83/02/14 12:49:27 mjb 5 4
c added dashed grid line style capabilties
e
s 00005/00001/00057
d D 1.3 83/01/31 20:27:50 mjb 4 3
c changes for error reporting
e
s 00006/00004/00052
d D 1.2 83/01/26 17:41:13 mjb 3 1
c fix for new menus
e
s 00000/00000/00056
d R 1.2 83/01/20 17:42:33 mjb 2 1
c no changes were made looked at parameter mismatches
e
s 00056/00000/00000
d D 1.1 83/01/20 11:10:17 tes 1 0
c date and time created 83/01/20 11:10:17 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine gaeatt 
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Get current graph chart attributes for axes edit       #
D 9
#	        menu and put into common                               #
E 9
I 9
#	        menus and put into common                              #
E 9
#                                                                      #
#     Input Parameters:                                                #
#            none                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            none                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            qgeta - get alpha data to memory                          #
#            qgetd - get decimal data to memory                        #
#            qgeti - get integer data to memory                        #
#                                                                      #
########################################################################
D 4
integer i, item
E 4
I 4
integer i, item, gimnmx
E 4

include(`gphcom')

D 9
   i = 1
   do item = 1, 4 {
      call qgetd (item, bghmin(i))  # current axes data mins and maxs         
      i = i + 5
E 9
I 9
   if (bgaxis(1) == BIGN) {
      call qgeti (1, bgnatp)           # numeric axis type
      item = bgnatp
D 10
      bgnatp = gimnmx (item, 1, 5)
E 10
I 10
      bgnatp = gimnmx (item, 1, 6)
I 11
      call qgeti (2, bgdatp)           # dependent axis label type
      
E 11
E 10
      i = 1
D 11
      do item = 2, 4 {
E 11
I 11
      do item = 3, 7, 2 {
E 11
         call qgetd (item, bgnstr(i))  # numeric axis label start etc.
D 11
         i = i + 5
         }
      call qgeti (5, bgntic)           # numeric axis ticks per label
E 11
I 11
         i = i + 15
	 }
      call qgetd (4, bgdstr)
      call qgetd (6, bgdend)
      call qgetd (8, bgdinc)

      call qgeti (9, bgntic)           # numeric axis ticks per label
E 11
E 9
      }
D 9
    
   call qgeta (5, bghgfg)           # grid flags
   call qgeta (6, bgvgfg)
E 9
I 9
   else {
      call qgeti (1, bgpatp)           # periodic axis type
      item = bgpatp
      bgpatp = gimnmx (item, 1, 7)
      call qgetd (2, bgpstr)           # periodic axis label start 
      call qgetd (3, bgpnum)           # periodic axis number of periods
D 13
      call qgeti (4, bgptic)           # periodic axis ticks per label
E 13
I 13
      call qgeta (4, bgptic)           # periodic axis ticks flag
E 13
D 10
      call qgetd (5, bgpain)           # periodic axis indent flag
E 10
I 10
      call qgeta (5, bgpain)           # periodic axis indent flag
I 11

      call qgeti (6, bgdatp)           # dependent axis label type
      call qgetd (7, bgdstr)
      call qgetd (8, bgdend)
      call qgetd (9, bgdinc)
E 11
E 10
      }
E 9
D 5
   call qgeti (7, bgghcl)
   call qgeti (8, bggvcl)
E 5
I 3

I 9
D 11
   call qgeti (6, bgdatp)              # dependent axis label type
E 11
   item = bgdatp
D 10
   bgdatp = gimnmx (item, 1, 4)
E 10
I 10
   bgdatp = gimnmx (item, 1, 5)
E 10
E 9
E 3
D 11
   i = 1
D 3
   do item = 9, 12 {
E 3
I 3
D 5
   do item = 9, 14 {
E 5
I 5
D 9
   do item = 7, 10 {                # current grid attributes
D 6
      call qgeti (item, bgghst(i))
E 6
I 6
      call qgeti (item, bggrst(i))
E 6
      i = i + 1
E 9
I 9
   do item = 7, 9 {
      call qgetd (item, bgdstr(i))     # periodic axis label start etc.
      i = i + 5
E 9
      }
E 11
I 11

E 11
I 9
   call qgeti (10, bgdtic)             # dependent axis ticks per label
E 9

D 9
   i = 1
   do item = 11, 16 {
E 5
E 3
      call qgeta (item, bghrel(i))  # real/integer and tics flags
      i = i + 2
E 9
I 9
   item = 11
   if (bgaxis(1) == BIGN) {            # numeric axis menu
      call qgeta (item, bgnain)        # numeric axis indent flag
      item = 12
E 9
      }
D 3
   call qgeti (13, bghatp)           # current axis types
   call qgeti (14, bgvatp)
E 3

I 3
D 5
   call qgeti (15, bghatp)           # current axis types
E 5
I 5
D 9
   call qgeti (17, bghatp)           # current axis types
E 5
I 4
   item = bghatp
D 8
   bghatp = gimnmx (item, 1, 8)
E 8
I 8
   bghatp = gimnmx (item, 1, 9)
E 8
E 4
D 5
   call qgeti (16, bgvatp)
E 5
I 5
   call qgeti (18, bgvatp)
E 5
I 4
   item = bgvatp
D 8
   bgvatp = gimnmx (item, 1, 8)
E 8
I 8
   bgvatp = gimnmx (item, 1, 9)
E 8
E 4

E 3
   i = 1
D 3
   do item = 15, 20 {             
E 3
I 3
D 5
   do item = 17, 22 {             
E 5
I 5
   do item = 19, 24 {             
E 5
E 3
      call qgetd (item, bghsrt(i)) # current axis periodic information
      i = i + 5
E 9
I 9
   call qgeta (item, bgigfg)           # independent axis grid flag
   item = item + 1
   call qgeti (item, bgigst)           # independent axis grid style
   item = item + 1
   call qgeti (item, bgigcl)           # independent axis grid color
   item = item + 1
   call qgeta (item, bgdgfg)           # dependent axis grid flag
   item = item + 1
   call qgeti (item, bgdgst)           # dependent axis grid style
   item = item + 1
   call qgeti (item, bgdgcl)           # dependent axis grid color
   
   if (bgaxis(1) == BIGN) {
      call qgeta (18, bgadfg)          # curve data available flag
      call qgeti (19, bgadcv)          # curve number for data
E 9
      }

return
end
E 1
